org.codehaus.plexus.configuration.io

## Interface PlexusConfigurationWriter

All Known Implementing Classes:
  XmlPlexusConfigurationWriter

    public interface PlexusConfigurationWriter

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `write(java.io.OutputStream outputStream, PlexusConfiguration configuration)`
`void` `write(java.io.Writer writer, PlexusConfiguration configuration)`

### Method Detail

#### write

    void write(java.io.Writer writer,
               PlexusConfiguration configuration)
        throws java.io.IOException

Throws:
  `java.io.IOException`

#### write

    void write(java.io.OutputStream outputStream,
               PlexusConfiguration configuration)
        throws java.io.IOException

Throws:
  `java.io.IOException`